%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          1
%define oname          mateweather
%define libname        %mklibname mateweather %{major}
%define develname      %mklibname -d mateweather

Summary:        MATE Weather applet library
Name:           libmateweather
Version: 1.24.1
Release: %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          System/Libraries
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         libmateweather-1.18.0-mga-add_Kastamonu_Turkey.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  intltool
# for xmllint
BuildRequires:  libxml2-utils

%description
Weather library data files for the MATE panel applet.

%package -n %{libname}
Group:          System/Libraries
Summary:        MATE Weather applet library
Requires:       %{name} >= %{version}

%description -n %{libname}
Weather library for the MATE panel applet.

%package -n %{develname}
Group:          Development/C
Summary:        MATE Weather applet library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}mateweather1-devel < 1.6.2-2

%description -n %{develname}
Development files with mateweather libraries.

%prep
%autosetup -p1

%build
%configure \
        --disable-static           \
        --disable-schemas-compile  \
        --enable-locations-compression \
        --enable-gtk-doc-html

# fix unused-direct-shlib-dependency
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

for xmlfile in %{buildroot}%{_datadir}/%{name}/Locations.*.xml.gz; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml.gz//)) $(echo $xmlfile | sed s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS COPYING README
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/Locations.xml*
%{_datadir}/%{name}/locations.dtd
%{_iconsdir}/mate/*/status/weather*
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml

%files -n %{libname}
%{_libdir}/libmateweather.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libmateweather.so
%{_libdir}/pkgconfig/mateweather.pc
%{_includedir}/libmateweather


%changelog
* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618692
- Update to version 1.24.1

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547915
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488710
- Rediff Patch1
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-1.mga8
+ Revision: 1465667
- Update to version 1.22.1

* Sun Oct 20 2019 daviddavid <daviddavid> 1.22.0-2.mga8
+ Revision: 1454752
- drop unneeded python2 build dependencies

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375496
- Update to version 1.22.0

* Sun Dec 16 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1341825
- Update to version 1.20.2

* Sat Dec 01 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1337299
- Update to version 1.20.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1298979
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201331
- Updated to 1.20.0 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174300
- Updated to 1.19.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092531
- Update to 1.18.0 version
- Update to 1.17.0 version
- Clean gtk2 references from specfile

* Tue Dec 13 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1074656
- new version 1.16.1
- build with gtk3

* Wed Apr 13 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001150
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942287
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908089
- Update to 1.12.1 version
- Prepare specfile for possible gtk3 build

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898496
-Update to 1.12.0 version

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 836989
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 740718
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.0-4.mga5
+ Revision: 726736
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 681591
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.8.0-2.mga5
+ Revision: 628302
- Rebuild for new Python

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600073
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598039
- Update to 1.7.x version
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.6.2-2.mga4
+ Revision: 469026
- drop major from devel pkg name
- tag some docs as such

* Sun Aug 11 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 465378
- Updated sources to 1.6.2

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442925
- imported package libmateweather

